# CAS (verouderd)

Oude CAS (Central Authentication Service) configuratie overgenomen uit Chamilo 1.x. Zie [CAS](/2.x-nl/beheerdershandleiding/admin-guide/authentication/cas.md) voor de huidige status van de CAS-authenticator in Chamilo 2.x.

Toegang tot deze instellingen vindt u onder **Beheer > Configuratie-instellingen > CAS**. Deze categorie bevat **7 instellingen**, hieronder opgesomd met de titel en opmerking zoals meegeleverd in de platforminstellingen (`SettingsCurrentFixtures.php`).

> De variabelenaam in de code wordt weergegeven in monospace. Gebruik deze bij het scripten via de API of wanneer u deze instellingen op globaal niveau wilt wijzigen door [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) te bewerken.

## Instellingen

### `cas_activate`

**CAS-authenticatie inschakelen**

Het inschakelen van CAS-authenticatie stelt gebruikers in staat om zich te authenticeren met hun CAS-inloggegevens.\
Ga naar [Plugin](https://github.com/chamilo/docs/blob/2.x-nl/admin-guide/platform-settings/settings.php?category=CAS) om een configureerbare 'CAS Login'-knop toe te voegen voor uw Chamilo-campus. U kunt ook CAS-authenticatie afdwingen door cas\[force\_redirect] in te stellen in app/config/auth.conf.php.

### `cas_add_user_activate`

**CAS-gebruikers toevoegen inschakelen**

Schakel het toevoegen van CAS-gebruikers in. Om het gebruikersaccount aan te maken vanuit de LDAP-directory, moeten de tabellen extldap\_config en extldap\_user\_correspondance worden ingevuld in app/config/auth.conf.php.

### `cas_port`

**Hoofd CAS-serverpoort**

De poort waarop verbinding wordt gemaakt met de hoofd CAS-server.

### `cas_protocol`

**Hoofd CAS-serverprotocol**

Het protocol waarmee we verbinding maken met de CAS-server.

### `cas_server`

**Hoofd CAS-server**

Dit is de hoofd CAS-server die wordt gebruikt voor de authenticatie (IP-adres of hostnaam).

### `cas_server_uri`

**Hoofd CAS-server URI**

Het pad naar de CAS-service.

### `update_user_info_cas_with_ldap`

**Gebruikersaccountinformatie van CAS-geauthenticeerde gebruikers bijwerken vanuit LDAP**

Zorgt ervoor dat de voornaam, achternaam en e-mailadres van de gebruiker overeenkomen met de huidige waarden in de LDAP-directory.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-nl/beheerdershandleiding/admin-guide/platform-settings/cas-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
